package id.iptek.utms.agent.model;

import java.io.Serializable;
import java.util.Objects;

/**
 *
 * @author jakar
 */
public class TerminalIdObj implements Serializable {
    
    private String sn;
    private String terminalId;

    public TerminalIdObj() {
    }

    public TerminalIdObj(String sn, String terminalId) {
        this.sn = sn;
        this.terminalId = terminalId;
    }

    /**
     * @return the sn
     */
    public String getSn() {
        return sn;
    }

    /**
     * @param sn the sn to set
     */
    public void setSn(String sn) {
        this.sn = sn;
    }

    /**
     * @return the terminalId
     */
    public String getTerminalId() {
        return terminalId;
    }

    /**
     * @param terminalId the terminalId to set
     */
    public void setTerminalId(String terminalId) {
        this.terminalId = terminalId;
    }

    @Override
    public int hashCode() {
        int hash = 3;
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final TerminalIdObj other = (TerminalIdObj) obj;
        if (!Objects.equals(this.sn, other.sn)) {
            return false;
        }
        return Objects.equals(this.terminalId, other.terminalId);
    }

    @Override
    public String toString() {
        return "TerminalIdObj{" + "sn=" + sn + ", terminalId=" + terminalId + '}';
    }
    
}
